{{-- Banner --}}
@php
  wp_enqueue_script('particles');
  $jsID = uniqid('JS');
@endphp
<section class="main-banner d-flex w-100 overflow-hidden">
  <div class="row w-100">
    <div class="col-lg-6  banner-text d-flex align-items-start justify-content-center">
      <h1 class="mb-2"><span>{{get_sub_field('text_line_one')}}</span>{{get_sub_field('text_line_two')}}<em class="d-inline-block w-100 mt-3">{{get_sub_field('text_line_three')}}</em>
      </h1>
      @if(get_sub_field('button'))
        <a href="{{get_sub_field('button')['url']}}" class="black-btn-effect hover-effect banner-btn shadow-sm popup-btn" target="{{get_sub_field('button')['target']}}"><span>{{get_sub_field('button')['title']}}</span></a>
      @endif
    </div>
    <div id="@php echo $jsID; @endphp" class="particles-js"></div>
  </div>
</section>
<script>
  jQuery(document).ready(function() {
    particlesJS('@php echo $jsID; @endphp', {
      'particles': {
        'number': {
          'value': 200,
          'density': {
            'enable': true,
            'value_area': 800,
          }
        },
        'color': {
          'value': '#B4B3B3',

        },
        'shape': {
          'type': 'circle',
          'stroke': {
            'width': 1,
            'height': 1,
            'color': '#231F20',
          },
          'polygon': {
            'nb_sides': 5,
          },
          'image': {
            'src': 'img/github.svg',
            'width': 100,
            'height': 100,
          },
        },
        'opacity': {
          'value': 0.4,
          'random': false,
          'anim': {
            'enable': false,
            'speed': 1,
            'opacity_min': 0.1,
            'sync': false,
          },
        },
        'size': {
          'value': 5,
          'random': true,
          'anim': {
            'enable': false,
            'speed': 40,
            'size_min': 0.1,
            'sync': false,
          },
        },
        'line_linked': {
          'enable': true,
          'distance': 200,
          'color': '#B4B3B3',
          'opacity': 0.4,
          'width': 1,

        },
        'move': {
          'enable': true,
          'speed': 6,
          'direction': 'none',
          'random': false,
          'straight': false,
          'out_mode': 'out',
          'bounce': false,
          'attract': {
            'enable': false,
            'rotateX': 600,
            'rotateY': 1200,
          }
        }
      },
      'interactivity': {
        'detect_on': 'canvas',
        'events': {
          'onhover': {
            'enable': true,
            'mode': 'repulse',
          },
          'onclick': {
            'enable': true,
            'mode': 'push',
          },
          'resize': true,
        },
        'modes': {
          'grab': {
            'distance': 400,
            'line_linked': {
              'opacity': 1,
            }
          },
          'bubble': {
            'distance': 400,
            'size': 20,
            'duration': 2,
            'opacity': 1,
            'speed': 3,
          },
          'repulse': {
            'distance': 200,
            'duration': 0.4,
          },
          'push': {
            'particles_nb': 4,
          },
          'remove': {
            'particles_nb': 2,
          }
        }
      },
      'retina_detect': true,
    });
  });
</script>
