<!---------- power-future-wrapper section ----------->
<section class="power-future-wrapper tile-wrapper d-inline-block w-100 mt-3 call-to-action-large-one">
  <div class="d-flex w-100 power-future-container" style="background-image: url('{{ get_sub_field('background_image')['url'] }}');">
    <div class="row">
      <div class="col-lg-12">
        <div class="power-future-text">
          <div class="power-future-header tile-header">
            <div>
              {{-- <meta itemprop="specialCommitments" content="VeteranCommit" /> --}}
              <h2 class="mb-2">{!!(get_sub_field('header')) !!}</h2>
              <?php
                $description = strip_tags(get_sub_field('text')); // Remove HTML tags from the description
                $datePosted = date('Y-m-d', strtotime('-10 days')); // Current date - 10 days
              ?>
              <p content="{!! $description !!}">{!! get_sub_field('text') !!}</p>
              @if( get_sub_field('button') )
                <a href="{{ get_sub_field('button')['url'] }}" class="black-btn-effect hover-effect power-future-btn shadow-sm popup-btn" target="{{ get_sub_field('button')['target'] }}"><span>{{ get_sub_field('button')['title'] }}</span></a>
              @endif
              <script type="application/ld+json">
                {
                  "@context" : "https://schema.org/",
                  "@type" : "JobPosting",
                  "title" : {!! json_encode(get_sub_field('header'), JSON_UNESCAPED_SLASHES | JSON_UNESCAPED_UNICODE) !!},
                  "description" : "{!! $description !!}",
                  "identifier": {
                    "@type": "PropertyValue",
                    "name": "flairstech",
                    "url": "{{home_url()}}"
                  },
                  "datePosted" : "{{ $datePosted }}",
                  "validThrough" : "2024-12-18T00:00",
                  "employmentType" : "CONTRACTOR",
                  "hiringOrganization" : {
                    "@type" : "Organization",
                    "name" : "flairstech",
                    "sameAs" : "{{home_url()}}",
                    "logo" : "{{ $acf_options->theme_options->logo->url }}"
                  },
                  "jobLocation": {
                    "@type": "Place",
                    "address": {
                      "@type": "PostalAddress",
                      "streetAddress": "7140 Rue Albert Einstein, Suite 100-06",
                      "addressLocality": "Saint Laurent",
                      "postalCode": "H4S 2C1",
                      "addressRegion": "QC",
                      "addressCountry": "CA"
                    }
                  },
                  "baseSalary": {
                    "@type": "MonetaryAmount",
                    "currency": "USD",
                    "value": {
                      "@type": "QuantitativeValue",
                      "value": 40.00,
                      "unitText": "HOUR"
                    }
                  }
                }
              </script>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
