@php
    wp_enqueue_script('owl-carousel');
    wp_enqueue_style('owl');
    wp_enqueue_style('owl-theme');
    $jsID = uniqid('JS');
@endphp
<section id="{{ get_sub_field('html_id') }}" class="gallery-carousel tile-wrapper">
  <div class="carousel-wrapper ps-5 pe-5">
      <div class="@php echo $jsID; @endphp team-carousel owl-carousel">
        @foreach(get_sub_field('images') as $i=>$image)
          <div class="item">
            <img class="w-100" src="{{ $image['image']['url'] }}" alt="{{ $image['image']['alt'] }}" />
            @if($image['name'] || $image['position'] || $image['linkedin-url'])
            <div class="overlay">
                  <div class="corner"></div>
                  <div class="name">
                      <span class="name">{{ $image['name'] }}</span>
                      <span class="position">{{ $image['position'] }}</span>
                  </div>
                  @if($image['linkedin-url'])
                  <a href="{{ $image['linkedin-url'] }}" class="linkedin" target="_blank"></a>
                  @endif
              </div>
              @endif
          </div>
        @endforeach
      </div>
  </div>
</section>
<script>
  jQuery(document).ready(function() {
    jQuery('.@php echo $jsID; @endphp').owlCarousel({
      loop: true,
      margin: 15,
      dots: true,
      responsive: {
        0: {
          items: 1,
          nav: true,
        },
        600: {
          items: 2,
          nav: false,
        },
        1000: {
          items: 4,
          nav: true,
          loop: false,
        },
      },
    });
  });
</script>
