@php
wp_enqueue_script('owl-carousel');
wp_enqueue_style('owl');
wp_enqueue_style('owl-theme');
$jsID = uniqid('JS');
@endphp

<!---------- Excellence section ----------->
<section class="excellence-wrapper mt-3 tile-wrapper tile-wrapper-black d-inline-block w-100">
  <div class="d-inline-block w-100 excellence-container">
    <div class="row row-eq-height">
      <div class="col-lg-6">
        <div class="Invoation-text">
          <div class="Innovation-header tile-header tile-header-black">
            <h2>
              {{ get_sub_field('title_line_one') }}
              <span class="w-auto">{{ get_sub_field('title_line_two') }}</span>
              <em class="d-inline-block w-100">{{ get_sub_field('title_line_three') }}</em>
            </h2>
          </div>
        </div>
        <div class="@php echo $jsID; @endphp excellence-carousel owl-carousel">
          @foreach(get_sub_field('testimonial') as $testimonial_item)
            <div class="item">
              <div itemprop="review" itemscope itemtype="https://schema.org/Review">
                <span itemprop="itemReviewed" itemscope itemtype="https://schema.org/Organization"> 
                  <span itemprop="name" content="flairstech"></span>
                </span>
                <div class="w-100 flex-column d-flex w-100">
                  <div class="d-flex w-100 testimonials-text">
                    <i class="fas fa-quote-right"></i>
                    <p><span itemprop="reviewBody">{{ $testimonial_item['testimonial'] }}</span></p>
                  </div>
                  <div class="client-name-img d-flex mt-2 align-items-center">
                    @if(isset($testimonial_item) )
                    @if(isset($testimonial_item['image']) && is_array($testimonial_item['image']) && $testimonial_item['image']['url'] && !empty($testimonial_item['image']))
                    <img itemprop="image" src='{{ $testimonial_item['image']['url'] }}' alt="{{$testimonial_item['image']['alt']}}" />
                  @endif                  
                      <div itemprop="author" itemscope itemtype="https://schema.org/Person">
                        <h4 class="client-name">
                          <span itemprop="author">
                            @if( !empty($testimonial_item['name']))
                              <span itemprop="name">{{ $testimonial_item['name'] }}</span>
                            @endif
                          </span>
                          @if(!empty($testimonial_item['position']))
                            <span class="title d-inline-block w-100" itemprop="roleName">{{ $testimonial_item['position'] }}
                          @endif
                          </span>
                        </h4>
                      </div>
                    @endif
                  </div>
                </div>
              </div>
            </div>
          @endforeach
        </div>
      </div>
      <div class="col-lg-6">
        <div class="excellence-bg h-100" style="background-image: url('{{ get_sub_field('right_image')['url'] }}'); background-repeat: no-repeat; background-size: cover;"> &nbsp;</div>
      </div>
    </div>
  </div>
</section>

<script>
  jQuery(document).ready(function() {
    jQuery('.@php echo $jsID; @endphp').owlCarousel({
      loop: true,
      margin: 15,
      navText: [],
      dots: true,
      responsive: {
        0: {
          items: 1,
          nav: true,
        },
        600: {
          items: 1,
          nav: false,
        },
        1000: {
          items: 1,
          nav: true,
          loop: false,
        },
      },
    });
  });
</script>
